Bug 73632 - IRQ is not assigned for ASUS MB
Summary: IRQ is not assigned for ASUS MB
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-07 06:59 UTC by hjl
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 03:51:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2002-09-07 06:59:14 UTC
On ASUS P4B533-E, kernel 2.4.18-12.5 doesn't
assiign an IRQ for the on-board 10/100:

02:08.0 Ethernet controller: Intel Corp.: Unknown device 1039 (rev 81)
        Subsystem: Asustek Computer, Inc.: Unknown device 8071
        Flags: bus master, medium devsel, latency 32
        Memory at ed800000 (32-bit, non-prefetchable) [disabled] [size=4K]
        I/O ports at a400 [disabled] [size=64]
        Capabilities: [dc] Power Management version 2

As the result, kudzu disabled it. If I load the e100 driver,
it works fine:

02:08.0 Ethernet controller: Intel Corp.: Unknown device 1039 (rev 81)
        Subsystem: Asustek Computer, Inc.: Unknown device 8071
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at ed800000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at a400 [size=64]
        Capabilities: <available only to root>

If I apply an ACPI patch and enable ACPI, kernel will get an IRQ
for the 10/100 and kudzu won't disable it.


Note You need to log in before you can comment on or make changes to this bug.